<?php
require_once '../app/model/db.class.php';

if ($_REQUEST['accion']=='sedes'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from sedes");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);

 
    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Sede - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;        
    }
  
}

//--------------------------------------


if ($_REQUEST['accion']=='grados'){

    $sede=$_REQUEST['sede'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select cursos.grado, grados.descripcion from grados inner join cursos on grados.codigo = cursos.grado
                               group by cursos.grado, grados.descripcion, grados.orden, cursos.sede having cursos.sede=".$sede." order by grados.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grado - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['grado'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//--------------------------------------


if ($_REQUEST['accion']=='grupos'){

    $sede=$_REQUEST['sede'];
    $grado=$_REQUEST['grado'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select codigo,descripcion,jornada from cursos where cursos.grado='".$grado."' and cursos.sede='".$sede."' order by cursos.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grupo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['codigo']." - ".$row['descripcion']."    Jornada: ".$row['jornada'].'</option>';
         }

         echo $opciones;
    }

}


//--------------------------------------


if ($_REQUEST['accion']=='asignaturas'){

    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.descripcion from catalogo inner join curso_asignatura_profesor
                               on catalogo.codigo = curso_asignatura_profesor.asignatura
                               where curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$grupo."' order by catalogo.descripcion");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Asignatura - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['asignatura'].'">'.$row['asignatura']." - ".$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}
//---------------------------------------

if ($_REQUEST['accion']=='listado_alumnos'){
    
    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];
    $asignatura=$_REQUEST['asignatura'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $cadena=$obj->consulta("select notas_finales_asign.codigo, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre,
             notas_finales_asign.definitiva, notas_finales_asign.valor_asigna, notas_finales_asign.habilitacion, notas_finales_asign.valor_habilitacion
             from alumnos inner join notas_finales_asign on alumnos.codigo = notas_finales_asign.codigo
             where notas_finales_asign.grado='".$grado."' and notas_finales_asign.grupo='".$grupo."' and notas_finales_asign.asignatura='".$asignatura."'");

    $s="<table align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>CODIGO</b></td>  <td><b>APELLIDOS Y NOMBRES</b></td> <td><b>DEFINITIVA</b></td> <td><b>HABILITACION</b></td> <td><b>ELIMINAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['codigo']."</td>";
        $s.="<td width='35%' style='font-size: 12px'> &nbsp;".($row['p_apellido'])." ".($row['s_apellido'])." ".($row['p_nombre'])." ".($row['s_nombre'])."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['definitiva']."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['habilitacion']."</td>";
        $s.="<td width='5%' align='center'> <img id='elemento1' src='../imagenes/foto1.jpg' onClick='eliminar(".$row['codigo'].",".$grado.",".$grupo.",".$asignatura.")' height='20' width='20' alt='Eliminar' title='Eliminar'></td>";
        $s.="</tr>";

   }
    $s.="</table>";

   echo $s;

   $obj->disconnect();
    
}

//--------------------------------------


if ($_REQUEST['accion']=='mostrar_docente'){

    $asignatura=$_REQUEST['asignatura'];
    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select curso_asignatura_profesor.profesor, profesores.nombres
                               from profesores inner join curso_asignatura_profesor on profesores.cedula = curso_asignatura_profesor.profesor
                               where curso_asignatura_profesor.asignatura='".$asignatura."' and curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$grupo."'");
    
    $row =$obj->fetch_assoc($resultado);

    echo $row['profesor']." - ".$row['nombres'];

   
    $obj->disconnect();
}


//--------------------------------------


if ($_REQUEST['accion']=='eliminar'){


    $codigo=$_REQUEST['codigo'];
    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];
    $asignatura=$_REQUEST['asignatura'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("delete from notas_finales_asign where codigo='".$codigo."' and asignatura='".$asignatura."' and grado='".$grado."' and grupo='".$grupo."'");
    
    echo "REGISTRO ELIMINADO";

   
    $obj->disconnect();
}


?>
